gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] r18621 - gnunet-planetlab/config_generator


From: gnunet
Subject: [GNUnet-SVN] r18621 - gnunet-planetlab/config_generator
Date: Thu, 15 Dec 2011 18:28:03 +0100

Author: pritpal
Date: 2011-12-15 18:28:03 +0100 (Thu, 15 Dec 2011)
New Revision: 18621

Added:
   gnunet-planetlab/config_generator/dependency_check.sh
Log:
add

Added: gnunet-planetlab/config_generator/dependency_check.sh
===================================================================
--- gnunet-planetlab/config_generator/dependency_check.sh                       
        (rev 0)
+++ gnunet-planetlab/config_generator/dependency_check.sh       2011-12-15 
17:28:03 UTC (rev 18621)
@@ -0,0 +1,99 @@
+mkdir /tmp/libgcrypt
+cd /tmp/libgcrypt
+if [ $? = 0 ]
+then
+echo " Extraction libgcrypt 1 successful"
+else
+echo " Libgcrpyt download failure, exiting ..."
+exit 1
+fi
+
+wget ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.5.0.tar.gz 1> /dev/null 
2> /dev/null
+tar -zxvf libgcrypt-1.5.0.tar.gz 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Extraction libgcrpt 2  successfull"
+else
+echo " Libgcrpyt download fialure,  Exiting ..."
+exit 1
+fi
+
+cd libgcrypt-1.5.0
+wget ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-1.8.tar.bz2 1> 
/dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Extraction libgcrpt 2  successfull"
+else
+echo " Libgcrpyt download fialure,  Exiting ..."
+exit 1
+fi
+
+if [ $? = 0 ]
+then
+echo " libgpg download successfull"
+else
+echo " Libgpg-error configuration failed, exiting ..."
+exit 1
+fi
+
+tar -xjvf libgpg-error-1.8.tar.bz2 1> /dev/null 2> /dev/null
+cd libgpg-error-1.8
+
+./configure --prefix=/usr 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  Libgpg-error configure successfull"
+else
+echo "  Libgpg-error configuration failed, exiting ..."
+exit 1
+fi
+
+make clean all 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  Libgpg-error make successfull"
+else
+echo "  Libgpt-error configuration failed, exiting ..."
+exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo "  Libgpg-error make install successfull"
+else
+echo "  Libgpg-error make install failed, exiting ..."
+exit 1
+fi
+
+cd ..
+./configure --prefix=/usr 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Libgcrypt configure successfull"
+else
+echo " Libgcrypt configure failed, exiting ..."
+exit 1
+fi
+
+make clean all 1> /dev/null 2> /dev/null
+
+if [ $? = 0 ]
+then
+echo " Libcrpyt make successfull"
+else
+echo " Libcrypt make failed, exiting ..."
+exit 1
+fi
+
+sudo make install 1> /dev/null 2> /dev/null
+if [ $? = 0 ]
+then
+echo " Libcrpyt make install successfull"
+else
+echo " Libcrypt make install failed, exiting ..."
+exit 1
+fi
+
+cd ..
+




reply via email to

[Prev in Thread] Current Thread [Next in Thread]